Bug 169906 - CAN-2005-1704 Integer overflow in gdb
CAN-2005-1704 Integer overflow in gdb
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: gdb (Show other bugs)
2.1
All Linux
medium Severity low
: ---
: ---
Assigned To: Elena Zannoni
Jay Turner
impact=low,public=20050525,reported=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-04 18:32 EDT by Josh Bressers
Modified: 2015-01-07 19:10 EST (History)
4 users (show)

See Also:
Fixed In Version: RHSA-2005-801
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-18 11:36:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-10-04 18:32:36 EDT
+++ This bug was initially created as a clone of Bug #158680 +++

Integer overflow in the BFD library for gdb before 6.3 allows
attackers to execute arbitrary code via a crafted object file that
specifies a large number of section headers, leading to a heap-based
buffer overflow.


More information is available in the gentoo bug:
http://bugs.gentoo.org/show_bug.cgi?id=91398

This is the placeholder bug for the RHEL2.1 errata
Comment 1 Red Hat Bugzilla 2005-10-18 11:36:37 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-801.html

Note You need to log in before you can comment on or make changes to this bug.